/*
  Autheur:      Fun met Electronica
  Link:         https://training.funmetelectronica.nl/docs/arduino-basis/lessen/les-2-meerleds/
  Beschrijving: Laat eens meer leds aan en uit schakelen, keer op keer.
*/

int ledRood = 10;   // Rode led op pin 10
int ledGeel = 11;   // Gele led op pin 11

/*
  Het programmablok void setup wordt eenmaal beschreven
*/
void setup() {
  // We geven aan dat de led-pin-aansluitingen output moet zijn (spanning moet geven)
  pinMode(ledRood, OUTPUT);
  pinMode(ledGeel, OUTPUT);
}

/*
  Het programmablok void loop herhaalt zich keer op keer
*/
void loop() {
  digitalWrite(ledRood, HIGH);  // zet spanning op de led-pin
  digitalWrite(ledGeel, HIGH);  // zet spanning op de led-pin
  delay(1000);                  // wacht een seconde (1000 miliseconden)
  digitalWrite(ledRood, LOW);   // zet de spanning van de led-pin af
  digitalWrite(ledGeel, LOW);   // zet de spanning van de led-pin af
  delay(1000);                  // wacht een seconde
}

/*
  Opdracht 1:
  Laat de leds om en om knipperen.

  Opdracht 2:
  Monteer op het breadboard een derde, groene led bij.
  Sluit de groene led aan op pin 12.
  Laat deze derde led ook mee knipperen.
  
  Opdracht 3:
  Maak van je opstelling een stoplicht (rood,geel,groen)
  Maak het programma zo alsof het een stoplicht is.
*/
