/*
  Autheur:      Fun met Electronica
  Link:         https://training.funmetelectronica.nl/docs/arduino-basis/lessen/les-5-analogserial/
  Beschrijving: Meet de waarde van de potmeter op de analoge pin A0.
                Hiermee kunnen ook sensoren gemeten worden.
*/

int analogIn = A0;  // Analoge input van de potmeter
int potmeter = 0;   // waarde te meten van A0 noemen we potmeter

/*
  Het programmablok void setup wordt eenmaal beschreven
*/
void setup() {
  Serial.begin(9600); // maak een seriele communicatie op 9600 bps
}

/*
  Het programmablok void loop herhaalt zich keer op keer
*/
void loop() {
  potmeter = analogRead(analogIn);    // lees de analoge waarde:

  Serial.print("potmeterwaarde = ");  // print "potmeterwaarde = "
  Serial.println(potmeter);           // print de potmeterwaarde

  delay(50);                          // wacht 50 miliseconden
}

/*
  Opdracht 1:
  Lees de waarde van de potmeter uit in de seriele poort.

  Opdracht 2:
  Sluit in plaats van een potmeter een lichtsensor aan.
  De tekening staat op de website en in de handleiding.
*/
