/*
  Autheur:      Fun met Electronica
  Link:         https://training.funmetelectronica.nl/docs/arduino-basis/lessen/les-7-tonekeyboard/
  Beschrijving: Bestuur een servo met een potmeter.
*/

/*
  Weer een library die nodig is om gemakkelijk de servo te besturen.
  Deze library staat automatisch in de Arduino IDE.
  Het hoeft dus niet handmatig toegevoegd te worden.
 */
#include <Servo.h>

Servo myservo;    // een variabele om de servo aan te sturen
int potpin = 0;   // analoge pin wordt gebruikt door de potmeter
int val;          // lees de variabele waarde van de potmeter

/*
  Het programmablok void setup wordt eenmaal beschreven
*/
void setup() {
  myservo.attach(9);  // de servo is verbonden met pin 9
}

/*
  Het programmablok void loop herhaalt zich keer op keer
*/
void loop()
{
  val = analogRead(potpin);            // lees de waarde van de potmeter (waarde tussen 0 en 1023)
  val = map(val, 0, 1023, 0, 179);     // reken de waarde om voor de servo (waarde tussen 0 en 180)

  myservo.write(val);                  // sets the servo position according to the scaled value
  
  delay(15);                           // wacht tot de servo er is gekomen
}

/*
  Opdracht 1:
  Geen programmeer of bouwopdracht maar een vraag:
  Wat voor implementaties kan je met een servo maken?
*/
