/*
  Autheur:      Fun met Electronica
  Link:         https://training.funmetelectronica.nl/docs/arduino-basis/lessen/les-11-digitalanalog/
  Beschrijving: Dim een lampje met knopjes.
                Het lampje is aangesloten aan een digitale output.
                Toch kan het lampje 'analoog' aangestuurd worden.
*/

int knop1 = 2;          // knop aan pin 2
int knop2 = 3;          // knop aan pin 2
int led =  11;          // led aan pin 11
int toestandknop1 = 0;  // variabele voor het lezen van de knop
int toestandknop2 = 0;  // variabele voor het lezen van de knop

/*
  Het programmablok void setup wordt eenmaal beschreven
*/
void setup() {
  pinMode(led, OUTPUT);   // ledpin is output
  pinMode(knop1, INPUT);  // knop is input
  pinMode(knop2, INPUT);  // knop is input
}

/*
  Het programmablok void loop herhaalt zich keer op keer
*/
void loop() {
  toestandknop1 = digitalRead(knop1);   // toestandknop is de waarde van knop
  toestandknop2 = digitalRead(knop2);   // toestandknop is de waarde van knop

  if (toestandknop1 == HIGH) {          // controleer of de knop1 ingedrukt is
    analogWrite(led, 50);               // indien ingedrukt: led aan op sterke 50 (waarde tussen 0 - 255)
  } else if (toestandknop2 == HIGH) {   // controleer of de knop2 ingedrukt is
    analogWrite(led, 255);              // indien ingedrukt: led aan op sterke 100 (waarde tussen 0 - 255)
  } else {
    digitalWrite(led, LOW);             // anders: led uit
  }
}

/*
  Opdracht 1:
  In plaats van dat de knopjes een felheid geven,
  laat ze de lampjes (minder) feller laten worden.
*/
