/*
  Autheur:      Fun met Electronica
  Link:         https://training.funmetelectronica.nl/docs/arduino-basis/lessen/les-16-sos-met-switch-case/
  Beschrijving: SOS signaal op de redelijke manier.
                Overzichtelijker dan vorige implementatie.
*/

int Led = 13;       // led op pin 13
int interval = 500; // interval is 500 miliseconden

/*
  Het programmablok void setup wordt eenmaal beschreven
*/
void setup () {
  pinMode (Led, OUTPUT);  // led is output
}

/*
  Het programmablok void loop herhaalt zich keer op keer
*/
void loop () {
  dot();
  dot();
  dot();
  letterSpatie();
  dash();
  dash();
  dash();
  letterSpatie();
  dot();
  dot();
  dot();
  woordSpatie();
}

/*
  Functie voor dot.
*/
void dot () {
  digitalWrite(Led, HIGH);
  delay (interval);
  digitalWrite(Led, LOW);
  delay(interval);
}

/*
  Functie voor dash.
*/
void dash () {
  digitalWrite(Led, HIGH);
  delay (interval * 3);
  digitalWrite(Led, LOW);
  delay(interval);
}

/*
  Functie voor letterspatie.
*/
void letterSpatie() {
  delay (interval * 2);
}

/*
  Functie voor woordspatie.
*/
void woordSpatie() {
  delay (interval * 6);
}

