/*
  Autheur:      Fun met Electronica
  Link:         https://training.funmetelectronica.nl/docs/arduino-basis/lessen/les-3-knop/
  Beschrijving: Als de knop (verbonden met pin2) ingedrukt wordt gaat de led
                (verbonden met pin 13) aan.
*/

int knop = 2;          // knop aan pin 2
int led =  13;         // led aan pin 13
int toestandknop = 0;  // variabele voor het lezen van de knop

/*
  Het programmablok void setup wordt eenmaal beschreven
*/
void setup() {
  pinMode(led, OUTPUT);     // ledpin is output
  pinMode(knop, INPUT);     // knop is input
}

/*
  Het programmablok void loop herhaalt zich keer op keer
*/
void loop() {
  toestandknop = digitalRead(knop); // toestandknop is de waarde van knop

  if (toestandknop == HIGH) {       // controleer of de knop ingedrukt is
    digitalWrite(led, HIGH);        // indien ingedrukt: led aan
  } else {
    digitalWrite(led, LOW);         // anders: led uit
  }
}

/*
  Opdracht 1:
  Verander de sketch zo dat:
  De led na één keer indrukken voor 5 seconden aan gaat/blijft.
*/
