/*
  Autheur:      Fun met Electronica
  Link:         https://training.funmetelectronica.nl/docs/arduino-basis/lessen/les-6-analogdigital/
  Beschrijving: Gebruik de potmeter om een LED aan of uit te zetten.
*/

int analogIn = A0;  // Analoge input van de potmeter
int potmeter = 0;   // waarde te meten van A0 noemen we potmeter
int led = 13;       // de led is op pin 13 aangesloten

/*
  Het programmablok void setup wordt eenmaal beschreven
*/
void setup() {
  pinMode (led, OUTPUT);  // led is een output
  Serial.begin(9600);     // maak een seriele communicatie op 9600 bps:
}

/*
  Het programmablok void loop herhaalt zich keer op keer
*/
void loop() {
  potmeter = analogRead(analogIn);    // lees de analoge waarde:

  Serial.print("potmeterwaarde = ");  // print "potmeterwaarde = "
  Serial.println(potmeter);           // print de potmeterwaarde

  if (potmeter < 500) {
    digitalWrite (led, HIGH);         // als de waarde hoger is dan 500 gaat het lampje aan
  } else {
    digitalWrite(led, LOW);           // anders is het lampje uit
  }
  
  delay(50);                          // wacht 50 miliseconden
}

/*
  Opdracht 1:
  Gebruik in plaats van een potmeter een LDR.
  Werkt het schema nu al meteen met een LDR?

  Opdracht 2:
  Stel de waarde zo in dat het lampje aan gaat
  als de LDR weinig licht binnen krijgt (donker wordt)
*/
