/*
  Autheur:      Fun met Electronica
  Link:         https://training.funmetelectronica.nl/docs/arduino-basis/lessen/les-10-motor-tip120/
  Beschrijving: Met behulp van een knop een DC motor aansturen.
*/

int knop = 2;         // knop aan pin 2
int motor =  13;      // motor aan pin 13
int toestandknop = 0; // variabele voor het lezen van de knop

/*
  Het programmablok void setup wordt eenmaal beschreven
*/
void setup() {
  pinMode(motor, OUTPUT); //motorpin is output
  pinMode(knop, INPUT);   //knop is input
}

/*
  Het programmablok void loop herhaalt zich keer op keer
*/
void loop() {
  toestandknop = digitalRead(knop); // toestandknop is de waarde van knop
  if (toestandknop == HIGH) {       // controleer of de knop ingedrukt is
    digitalWrite(motor, HIGH);      // indien ingedrukt: motor aan
  } else {
    digitalWrite(motor, LOW);       // anders: motor uit
  }
}

/*
  Opdracht 1:
  Weer een vraag als opdracht:
  De motor draait nu één kant op.
  Hoe zorg je ervoor dat de motor de andere kant op draait?
  En bestaan er schakelingen die beiden richtingen kunnen besturen?

  Opdracht 2:
  Hoe zou je de motor sneller of langzamer kunnen laten draaien?
*/
