/*
  Autheur:      Fun met Electronica
  Link:         https://training.funmetelectronica.nl/docs/arduino-basis/lessen/les-16-sos-met-switch-case/
  Beschrijving: SOS signaal op de goede manier.
                Meest overzichtelijk.
*/

int Led = 13;       // led op pin 13
int interval = 500; // interval is 500 miliseconden

/*
  Het programmablok void setup wordt eenmaal beschreven
*/
void setup () {
  pinMode (Led, OUTPUT);
}

/*
  Het programmablok void loop herhaalt zich keer op keer
*/
void loop () {
  letter ('s');
  letter ('o');
  letter ('s');
  woordSpatie();
}

/*
  Functie voor dot.
*/
void dot () {
  digitalWrite(Led, HIGH);
  delay (interval);
  digitalWrite(Led, LOW);
  delay(interval);
}

/*
  Functie voor dash.
*/
void dash () {
  digitalWrite(Led, HIGH);
  delay (interval * 3);
  digitalWrite(Led, LOW);
  delay(interval);
}

/*
  Functie voor letterspatie.
*/
void letterSpatie() {
  delay (interval * 2);
}

/*
  Functie voor woordspatie.
*/
void woordSpatie() {
  delay (interval * 4);
}

/*
  Functie voor letter.
  Kiest welke functie gekozen wordt voor een character.
*/
void letter (char c) {
  switch (c) {
    case 's':                  // als de letter s is
      dot(); dot(); dot();
      break;
    case 'o':                  // als de letter o is
      dash(); dash(); dash();
      break;
  }
  letterSpatie();
}
